我们正在见证Ubuntu的没落？
========================================

真正的历史总在事情发生多年以后才会写就。但是，我越来越相信，当将来某天自由软件的历史最终定稿的时候，去年，将作为Ubuntu没落的初始之年而被载入史册。

起初，这个想法可能看起来荒谬可笑或者不怀好意。因为你仍能看到Ubuntu的狂热支持者们在为其每一个发行版的改进鼓掌叫好呐喊助威；记者们也还在谄媚地报道Ubuntu创始人Mark Shuttleworth所说的每一句话。

> 社区负责人Jono Bacon正在为Ubuntu Touch移动操作系统开发一个新的应用开发者社区；最近，Ubuntu的商业部门Canonical还公布了一些重大项目，例如与中国政府合作，为其开发[国家级的中文操作系统][1]，以及被Linux基金会选中负责实现[Steam][2]游戏平台等等。

然而，[Ubuntu在Google上搜索量][3]的锐减趋势也许能说明一些问题。除了Android和Mageia，其他Linux[主流发行版][4]情况类似，都有所下降，但事实是，即便这样，却没有哪个发行版像Ubuntu一样下降得如此厉害 —— 搜索量还不到2007年10月的一半，为2006年六月以来的最低值。

一直以来，质疑都在持续。Shuttleworth曾经希望能引领自由软件，但现在Ubuntu和Canonical已经将他们自己孤立于自由软件社区之外。就在去年，社区已经多次暗示，它至少部分感到权利被剥夺。

最糟糕的的是，去年，Ubuntu发起的倡议一再被否决，Canonical盈利能力也出现了明显的持续下降。所有这些现象，看起来好像该组织已经陷入一片难以挽回的混乱，当然，如果这些真的可以挽回的话。

###半途而废

和去年形成鲜明对比的是Ubuntu的早几年。2005年到2007年，三年间，Ubuntu成为了Linux桌面世界最新最伟大的希望之星，批评言论主要限于那些认为没有给Debian足够荣誉或是质疑某个古怪暴发户投资动机的人。

在那些风光的年月里，Ubuntu确实做出了很多努力，大大推进了Linux桌面系统的易用性与普遍性。也许最值得铭记的就是它对多语言环境和本地化键盘切换的支持，现在这已成为各大主流发行版的标准。

但好景不长，渐渐地，Ubuntu和Canonical开始将自己孤立于主流自由软件社区之外。Shuttleworth的那些美好初衷，诸如项目协作、强调易用性等等，都被严重忽略了。由于对GNOME开发速度不满 —— 也或者是被GNOME社区视为爆发户 —— Shuttleworth开始了Unity 接口开发，他对此如此着迷，以致甘愿放弃Canonical CEO的职位。

由此，Unity以及与之相关的一切迅速成为了新版Ubuntu发布的关注焦点。由于Canonical不断要求完善的压力（很少有人注意到这是跳票的真正原因），有时软件包的开发像之前一样无法赶上发布进度，这样就使得开发团队总是无法得到Ubuntu社区的肯定。

虽然在Unity上赋予了很多开发努力，结果却是Unity更适于匹配移动设备，而不是工作站或笔记本电脑。经Distrowatch的统计，尽管有多达[79个发行版][5]是由Ubuntu衍生而来，但其中只有[11个发行版][4]默认采用了Unity。Ubuntu家族尚且如此，其他的主流发行版就更不会采用Unity了，更不要说推动它的发展。

同样的情况还发生在[Upstart][6]上，Ubuntu使用它代替init服务；以及最近的[Mir][7]，Ubuntu用其代替Wayland，而被替换下场的Wayland，正是其他发行版一直看好的X Window系统的最佳替代者。

Ubuntu为什么要这么做？Upstart和Mir虽然都保留着自由软件许可，但其实它们都在Canonical的实际控制之下，Canonical主要通过[贡献者协议][8]将所有权利都划归到了公司手里。

这种控制也许就是Intel最近[宣布][9]它将不再支持Mir的原因。在过去4年里，Ubuntu和Canonical已经从最受自由软件社区欢迎的成员变成了表面遵守自由软件许可暗地里却背道而驰的牛犊子。现在，这个圈子里已经没有人再愿意帮它任何忙了。

###后院起火

Canonical将自己孤立得越发遥远，它却越想控制整个Ubuntu社区。

Canonical之所以这样，也许可以解释为这是越来越坚定想努力盈利的结果。尽管Canonical一直在忙于宣布获得了新的合作与支持，但是[这些声明][10]中却总是缺少任何提及合作资金数额的词句。要说这是遗漏了？经过长达九年的商业化运行，很难想象他们会漏掉任何可以报道的好消息。但是，无论原因是什么，Canonical已经越来越多地不经任何商讨，就将它的决定强加给Ubuntu志愿者社区。

其中的许多决定都是很琐碎的。范围从决定不再支持完全自由许可的Ubuntu版本或者一个基于KDE的版本，到标题栏图标的重新定位，以及替换[HUD][11]菜单的介绍。

其实，在争论中，解决问题并不是最重要的，重要的是解决问题时人们之间的关系。与Canonical不同，Ubuntu社区每天的运行看起来就像是任何预期中规范的自由软件项目一样，有讨论有商议。而Canonical呢？据说，Canonical公司中的高级雇员经常滥用否决权，即便是礼貌的否定，都可能会导致摩擦 —— 更何况，这种否定还常常是粗鲁的。Canonical已经不再欢迎开诚布公的讨论，而是借着“为了让Ubuntu成功”的名义越来越倾向于扼杀人们的不同意见。

矛盾积蓄久了终会爆发。经过长时间的公开质问，Ubuntu社区贡献者们的地位仍得不到肯定，2013年2月，许多人开始考虑退出社区（事实上，貌似只有一个人付诸行动）

表达不满的首次发声很快就被Jono Bacon老练的公关手段平息下来，但也仅仅过了几个月，由于Ubuntu首页上[通往社区的链接被移除][11]，矛盾再次爆发。

Bacon再一次平息了事态，在局外人看来，这几个月社区似乎重新归于平静。但是长期积累的不满不可能完全消失，理由很简单，Canonical一直都在无视Ubuntu社区。矛盾再次爆发看起来只是时间问题。

###迷失方向

Canonical是否曾经相信Ubuntu发行版能够盈利，这我们不得而知。当然，之前无数的教训已经警告了Canonical，为赚钱而生的发行版成功的几率有多渺茫。但是多年来在Ubuntu上付出的努力似乎表明Canonical希望——或者曾经希望——能将不可能变为可能。又或者，也许Canonical只是简单地将一个优秀发行版看作是其宏伟目标的踏脚石。

不管怎样，如今看来，在Unity上付出如此多的努力已经是一步错棋。直到今天，Canonical似乎仍然缺乏一个商业计划为其带来任何可以盈利的合理机会。

至于那些周边产品，诸如在线存储、音乐商店、或者Dash中的合作广告，这些努力可能有助于弥补开发Ubuntu所需的花销，但要说这些东西就能帮助Ubuntu盈利，没人会张这个嘴。而用在线会议代替实际会议，这只能说明一家公司正在寻找削减开支的手段，而不是盈利的方法。

更重要的，这些“努力”会导致新的问题。其中格外要提到的是，Dash中的广告已经导致了对个人隐私的担忧，甚至被[Richard Stallman][12]称之为间谍软件。这些广告还加重了社区的不满情绪。

Canonical用了一年时间来[解决个人隐私问题][13]，但即使这样，缺乏足够的细节说明它只是想让用户们相信它。

其他方面，像[Ubuntu TV][14]，仍然没有成形。当然，Ubuntu的主战略看起来正向多样化多元素靠拢，但是尝试闯入一个饱和市场，其合理性仍然值得怀疑。Ubuntu Touch计划于10月份同13.10一起发布，但是如果有手机制造商要搭载预装产品，Canonical还将推迟发布日期。

更糟的是[Ubuntu Edge][15]资金筹集计划，该计划打算通过众筹基金打造一款时尚前卫的经典手机，如果能够成功，Canonical就可以在市场中为其建立一个小生态圈。

然而，最终3200万美元的筹资目标只达到了四成，Canonical对此只能“强颜欢笑”，因为参与众筹的投资者们也确实为产品卖力的宣传了。但是这个结果意味着Canonical在潜在的商业伙伴眼中背上了失败者的名声，现实就是如此残酷。Ubuntu Edge的失败给Canonical的商业计划留下的是更多的不确定性，希望愈加渺茫。

###拭目以待

以上我所写的这些并不是说一夜之间Canonical和Ubuntu就会消失。任何“没落”都才刚刚开始，并不是无法挽回。管理层引进新面孔，或者执行内部改革，都有可能让Canonical和Ubuntu重新振作。也许倾听Ubuntu社区的声音也是一个好的选择。

如果问题依旧，即使再过一个9年，Canonical和Ubuntu也不会成功。Linux桌面那些早年的主要贡献者，他们甚至都没有对自己的代码有所创新，更不要提一般的自由软件了。长此以往，要么困惑要么绝望，都将会加速Ubuntu的没落。

即使不加以改革，Ubuntu和Canonical也有可能恢复之前的威望，虽然Ubuntu Edge项目表明这种可能性并不大。但是，渐渐地，Canonical和Ubuntu已经开始失去他们多年来拥有的领袖地位。

到底是扭转颓势，还是依靠不疼不痒的措施加速没落，这些都是未知数。接下来的这几年会很有趣，充满变数，让我们拭目以待！

---

via: http://www.datamation.com/open-source/are-we-witnessing-the-decline-of-ubuntu-1.html

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

译者：[tinyeyeser](https://github.com/tinyeyeser) 校对：[jasminepeng](https://github.com/jasminepeng)


[1]:http://www.canonical.com/content/canonical-and-chinese-standards-body-announce-ubuntu-collaboration
[2]:http://games.slashdot.org/story/13/02/14/2318247/valve-officially-launches-steam-for-linux
[3]:https://www.google.com/trends/explore?q=Ubuntu#q=Ubuntu%2C%20Canonical&cmpt=q
[4]:http://distrowatch.com/search.php?ostype=All&category=All&origin=All&basedon=All&notbasedon=None&desktop=Unity&architecture=All&status=Active
[5]:http://distrowatch.com/search.php?ostype=All&category=All&origin=All&basedon=Ubuntu&notbasedon=None&desktop=All&architecture=All&status=Active
[6]:http://en.wikipedia.org/wiki/Upstart
[7]:http://en.wikipedia.org/wiki/Mir_%28software%29
[8]:http://www.canonical.com/contributors
[9]:http://arstechnica.com/information-technology/2013/09/intel-rejection-of-ubuntus-mir-patch-forces-canonical-to-go-own-way/
[10]:http://www.canonical.com/about-canonical/news-and-events
[11]:https://wiki.ubuntu.com/Unity/HUD
[12]:https://www.fsf.org/blogs/rms/ubuntu-spyware-what-to-do
[13]:http://iloveubuntu.net/smart-scopes-anonymize-images-landing-users-dash-privacy-oriented
[14]:http://www.ubuntu.com/tv
[15]:http://www.datamation.com/open-source/ubuntu-edge-canonicals-big-gamble.html
