Translated by Ramerzhang
Four Awesome Free Alternatives to Ubuntu One Cloud Storage
================================================================================
![](http://www.omgubuntu.co.uk/wp-content/uploads/2014/04/ass.jpg)

Be honest: news that [Canonical is shuttering its Ubuntu One cloud storage service][1] came as a shock, right?

After four years of serving each and every Ubuntu user with a few gigabytes of free space in which to store their documents, music and photos, Canonical have decided to close it down. The service will cease operating as normal from June, and all files will be deleted permanently this July.

While the reasons behind its closure make sense for the company in lieu of it broader ambitions elsewhere, there’s no getting away from the fact that if you used it daily, you’re going to be left a little peeved.

> ‘…there is an army of alternatives able to pick up where Ubuntu One has left off’

Thankfully there is an army of alternatives able to pick up where Ubuntu One has left off. Most, if not all,  offer more space, better features and are generally more reliable than Canonical’s aged offering. In fact, it seems like everyone and their pet cat now offers free cloud storage.

It’s partly because of the fierce competition between these services, what CEO Jane Silber refers to as the “free storage wars”, that the Ubuntu One offering wasn’t able to find its footing.

But the promise of some free space and a means of syncing to it through the desktop does not mean they’re all equal, or worthy of entrusting with your data. Which alternatives are worth pursuing? Let’s take a look.

![Dropbox Indicator on Ubuntu – Comes In Handy](http://www.omgubuntu.co.uk/wp-content/uploads/2014/04/Screen-Shot-2014-04-03-at-23.28.26.png)
Dropbox Indicator on Ubuntu – Comes In Handy

### Dropbox ###

#### Best all rounder ####

Who hasn’t heard of Dropbox? As the granddaddy of cloud storage, it was the first service to both popularise and implement desktop-to-server syncing in a way that felt productive and not cumbersome.

Its success was buoyed by a generous referral scheme offering you extra space for signing others up, and extensive cross-platform support. Dropbox makes it easy to hop between devices and OSes and retain access to your files.  Other features include public folders that let you share items with other people, regardless of whether they use the service, and near-instantaneous syncing of files as and when they’re changed.

256-bit AES encryption and two-step verification mean your files are pretty safe and secure.

For Ubuntu users Dropbox provides a native application that integrates tightly with the default file manager Nautilus. It offers an indicator applet for monitoring, sharing and managing sync; file and folder emblems; and some handy right-click menu options for quick sharing.

- **2GB** Free Space
- Referral Scheme
- Paid plans start from $9.99/m for 100GB
- **Multi-platform support** (Windows, Mac, iOS, Android, Blackberry & Linux)

> - [Learn More on the Dropbox Website][2]

![Insync Integrates Google Drive on Linux](http://www.omgubuntu.co.uk/wp-content/uploads/2012/08/indicator.jpg)
Insync Integrates Google Drive on Linux

### Google Drive ###

#### Best for space and features ####

If you use Gmail or Google Docs then you’ll have, at some point or another, interacted with Google Drive. The search giant’s cloud service offers 15GB of free space in which to store your files, folders, photos and the like. These can be accessed from virtually any device with internet access and a fairly recent web browser or through dedicated mobile and desktop apps.

One of the neat things about Drive is that certain files do not count towards your free space quota; e.g., Google Docs files. Neither do files others have shared with you. Better still, any photos you upload to Google+ that have a resolution less than 2048 x 2048 are also hosted and synced gratis.

But Drive offers more than just space for your stuff. You also gain tight integration with Google’s own services, like Gmail, Google Docs and Google+.

While it’s not the easiest alternative to use on Ubuntu owing to a lack of official native support, there are a number of third party tools that allow you to sync your files locally and have all changes made uploaded back. The most popular third part app is InSync. It’s not free (costing a one-off fee of $15 for the basic account) but it is by far the best way to use it.

- 15GB Free Space
- Paid plans start from $2.99/m for 100GB
- Official apps for Windows, Mac, iOS and Android
- Integrated into Chrome OS
- Unofficial applications for Linux

> - [Learn More on the Google Drive Website][3]

![Copy running on Ubuntu](http://www.omgubuntu.co.uk/wp-content/uploads/2013/03/copy-indicator.jpg)
Copy running on Ubuntu

### Copy ###

#### Best for Security Conscious ####

If popularity was based solely on the number of referral links that are posted in our comments section, then Copy would win the title hands down.

It may be less well known than other entrants on this list, but Copy, which is run by cloud enterprise giant Barracuda Networks, touts its robust security benefits the loudest.

Like Dropbox, Copy uses AES 256-bit encryption on all files but, unlike Dropbox, doesn’t not rely on third-party servers as all files are stored on the company’s own servers.

“With advanced features like secure sharing, source validation, and identity verification, you can breathe easy knowing your content can only be seen by the people you want,” they promise on their website.

Another of its unique advantages is that shared files and folders can be assigned to a single user so that they don’t count against the data storage limit for other users. Or, if preferred, the load can be shared between parties so that, for example, a 10GB file shared between 4 people would count as 2.5GB/each, rather than, as on Dropbox, 10GB each.

Google Drive offers something similar in that only the ‘sharer’ of a file has it count against their storage.

For desktop integration Copy spoil Linux users. The service supports native integration with **Nautilus, Thunar** and **Caja**, including sync folders and right-click options. An indicator applet/system tray item provides further control options, including a handy list of recently changed files.

- 15GB Free Space
- Referral scheme
- Paid plans start from $9.99/m for 250GB
- Multi-platform support (Windows, Mac, iOS, Android & Linux)

> - [Learn More on the Copy Website][4]

![Manage File Sync Yourself](http://www.omgubuntu.co.uk/wp-content/uploads/2014/04/files-tile.jpg)
Manage File Sync Yourself

### ownCloud ###

#### Best for privacy ####

If you’d rather not trust your data in other people’s hands but still want the convenience of a “personal cloud”, ownCloud is a free and open source cloud storage platform you can host yourself.

Like with other cloud storage services, ownCloud lets you sync and share your files across Windows, OS X, Linux, Android, and iOS. It also comes with calendar integration, photo gallery sharing, built-in support for (mounting) additional storage devices/services – e.g., FTP servers, Dropbox and Amazon S3 – and a slew of “apps” that can be added for additional features in the web interface, including a PDF viewer, text editor, and version control.

Packages are available for a number of distributions, including Ubuntu from 12.04 to 13.10.

> - [Learn More on the ownCloud Website][5]

Chances are some of you reading this will have you own favourite, so don’t take the four picks above as set in stone. Other options worth exploring before committing include [SpiderOak][6], Microsoft [OneDrive][7] and [Box][8]. 



--------------------------------------------------------------------------------

via: http://www.omgubuntu.co.uk/2014/04/three-alternatives-ubuntu-one

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.omgubuntu.co.uk/2014/04/canonical-axe-ubuntu-one-file-music-services-grab-data-now
[2]:http://dropbox.com/
[3]:http://drive.google.com/
[4]:https://www.copy.com/home/
[5]:http://owncloud.org/
[6]:https://spideroak.com/
[7]:https://onedrive.live.com/
[8]:https://www.box.com/
