zpl1025 translating
Raspberry Pi In Schools
================================================================================
> Teaching the world to code is a noble goal, but how is it going to work in practice?

Two years ago, when the Raspberry Pi launched, it was with the intention of improving IT education in the UK. Since then more powerful, better connected or cheaper boards have come onto the market, but the Pi retains its position as the white knight of ICT teaching.

Why? Because of the community of users that has grown up around it. To find out more we travelled west to Manchester, venue for the second annual Jamboree – a festival of educators, makers and messer-abouters focussed on highlighting how engaging the Pi can be. There, we met 75% of the Raspberry Pi Foundation’s education team – Ben Nuttall, Clive Beale and Carrie Anne Philbin – to discuss IT teaching in the UK.

![](http://www.linuxvoice.com/wp-content/uploads/pi-top-img-4.jpg)

**LV**: So, Raspberry Pi education team, we were saying earlier that the obvious place to start is with the UK government’s Year of Code initiative, but that seems far too negative to being with!

**Carrie Anne**: Yeah, but there’s so much to say about it!

**Clive**: I think it’s a fantastic initiative, which just represents everything we stand for, blah, blah, blah, blah, blah!

**LV**: Should we just leave that then?

**Clive**: I mean the main issue is how the media portray computing, which is a brilliant, creative, rigorous, hard, challenging, fun thing, to just reduced to ‘this code’. ‘We must learn to code.’ ‘You better learn code or you’re a rubbish teacher.’ Which of course is not the case at all, it’s so much more than that. And so the teachers are running around now thinking the sky’s falling because they think that by September 2014, if they can’t code, then they’ve failed and they’ll think their kids have failed, and it’s a really bad message. There hasn’t been a simple message to say this is not the case, get out into the playground with some chalk and make a maze and do some computing, to teach them how to use a computer. No politician has stepped in to say this is not the case and they haven’t asked teachers who would tell them this isn’t the case. And that’s the problem. Where are the teachers? Where are the people that are actually teaching?

**LV**: As you’ve just left teaching to join the Raspberry Pi Foundation, what are your thought Carrie Anne?

**Carrie Anne**: It feels like a lot longer than two months, it feels like an eternity!

**Clive**: Is that bad?

**Carrie Anne**: No no, not at all! Because teachings so fast paced in that you’re seeing the results of what you’re doing in class straight away, whereas being out of the classroom for the past two months and working the Foundation, I can’t actually see the impact I’m having, but obviously people are talking to me and saying I am having an impact. It’s just very different to what I was seeing before. Clive always said there’s a massive difference between teaching and being a teacher. There are a lot of people we talk to who run Raspberry Jams, workshops, CoderDoJos and that kind of thing, and they always say ‘Oh, it’s really easy, you just do this, this and this.’ And it’s like, great, but you’ve got kids coming to you that *want* to learn this stuff. Imagine a class where you’ve got a bunch of kids who aren’t interested or engaged by this subject and actually teaching is much harder…

**Clive**: Maybe 15 year olds on a Friday afternoon…

**Carrie Anne**: Yes, a six-period day, end of the week…

**Clive**: Ofsted saying, ‘Why haven’t your kids developed after 20 minutes in your lesson? Why haven’t they progressed?’. It’s very different.

**Carrie Anne**: It’s very different, yep.

**LV**: So you have some idea of how things should be done because of your recent experience?

**Carrie Anne**: Yes.

> The Raspberry Jams have done an excellent job of bringing people together from all walks of life

**LV**: Are we, in general as a society, doing the right things?

**Carrie Anne**: I think so. I think what’s been really nice about the Raspberry Pi community is that is gives back to the community. So there are experts, there are people who love what they do, who are reaching out to teachers and reaching out to children by running workshops and clubs and things. And it’s actually that collaboration that produces the best materials and produces the best way to move forward with the new curriculum. I mean, the work I did as a teacher producing the Sonic Pi was a team of work. That was because I worked with, yes an academic, but he was an expert. He wanted to develop a teaching environment that I could use with my students to teach tech-based programing in a fun and engaging way, that engaged both genders and engaged both low ability students and high ability students. It’s a tech-based programming language, which is important at Key Stage 3 where you need to not just be able to teach Scratch, you need to teach a tech-based language that’s nice bridge between Starch and something like Python, which we can teach later on. So, yeah, I think we are moving in the right direction. It would be nicer if the powers that be…

**Clive**: It would be nice to see that as a microcosm of how these things actually happen. So as an academic has a brilliant idea and they’re very good at what they do, and then they come to a teacher and say ‘How can we make this useful in the classroom?’, ‘How can we get assessment in there?’, which schools needs frankly, ‘How do we make it robust?’, ‘How can we test it?’. And isn’t that a weird idea, to actually ask the people that teach how we should do that? It hasn’t happened really. But, yes, as Carrie says, we’re going in the right direction, certainly. The community and third parties are doing more to push it along.

**LV**: From someone outside a little bit, it kind of looks like this community has sort of spontaneously developed around the Raspberry Pi. Has this always been there or has it just become more obvious now?

**Carrie Anne**: I think it’s always been there. I was a teacher so when Raspberry Pi first came out I got one. It got it and then I was like, this is brilliant! Someone’s developed something for education. A Linux box that we can use in the classroom. It’s cheap, it’s brilliant!

**Clive**: And mess about with.

**Carrie Anne**: Yeah, it’s going to be great! And then I was like, right, so where are the resources to go with it? Ah, there aren’t any. Then I was like, so where can I go and find some? The first obvious place was Raspberry Jam. There are people running events where they’re doing stuff. So I thought I’ll go along and speak to some people, and see what’s available. And it was through that that I met people to work with, and they’d formed that themselves, the enthusiasts from throughout the community around the Raspberry Pi.

**Clive**: It’s been a focus, hasn’t it? There’s been a lot of people sort of hanging around, saying ‘Look, I like tinkering, I like messing, I like coding, I like making’, and this thing appeared which was cheap and cheerful and fantastic to play around with, and I think it was a focus. It was waiting to happen really.

![Carrie Ann Philbin, The Raspberry Pi Foundation’s Education Pioneer](http://www.linuxvoice.com/wp-content/uploads/carrie-ann-1.jpg)
Carrie Ann Philbin, The Raspberry Pi Foundation’s Education Pioneer

**LV**: Was there anything equivalent to Raspberry Jams before the Raspberry Pi came along for people and teachers to come together?

**Carrie Anne**: Well teachers tend to generally get together through things like TeachMeets and through Twitter, and those kinds of chat tools. There are ways that you can get together, but that’s more talking about teaching practice. Like the different ways you can use a sentence. It’s very teachery, it wasn’t specific to teaching computing.

**Clive**: I think hardware-wise, Raspberry Pi was in the right place and the right time.

**Ben**: The Jams done a really good job of bringing people together. The people, like myself, who were attending user groups that are interested in tech and really passionate about it, have got a chance to share that interest with the wider community. There were families coming in, teachers coming in, and they were just sharing what they were doing. And the skills they already had, and I was already programming in Python and things like that just on the desktop, and the Pi came along and it opened up this way of plugging into the real world and all the other things the Pi brings with it. Just being about to use those skills and pass them on, I got myself involved in Education through that.

**LV**: So you weren’t a teacher before then?

**Ben**: No, I was a software developer.

**Carrie Anne**: This is what’s great about the education team at Raspberry Pi. It’s 50% ex-teachers and 50% software developers. We need people like Ben and Dave (Honess).

**Ben**: Yes, some people have ideas for things and think this could be an engaging exercise, but they may not know exactly how to deliver it, or how it’s going to work. They might not know how exactly a teacher is supposed to produce something to use that, but they have an end goal and working with someone else can help achieve that.

**Clive**: Yeah, you’re right, the real key is the mix. So you’re getting teachers and engineers and developers and families. Before, they might have been on a Linux user group, they might have been a teacher group, and you’re just bringing a bunch of different people together and that just (to use a horrible word!) synergizes stuff.
(Everyone LOL)

**Clive**: Yes, I did it! I said synergizes! I’m buying a copy of the magazine now.

**Carrie Anne**: There’s something that comes about from getting all those different types of people together is that it breeds this wonderful learning environment that you cannot reproduce. Like, you were running a Picamera workshop this morning. So that was run by people who run Jams who are from industry. And what was really nice is that there were teachers and there were people who had come for the Jamboree from industry that were helping the teachers do stuff. And there was this environment that was like, it’s ok to not know something, it’s ok to ask a question, it’s ok to get it wrong and make mistakes. And that’s really powerful because sometimes teachers are afraid perhaps of saying they don’t know.

**Ben**: So at this workshop, we gave people an intro to building a real application around the camera. So it’s not just ‘Oh, there’s a camera and you can take pictures’. It was ‘Ok, let’s plug in a button, and attach that to the Pi and let’s make that be the button for the camera’. And just a simple intro like that opens up a world of possibilities. Sometimes a lot of these things like the Jam, just gives you a lot of inspiration. Or if you see something in a magazine or online, or on Twitter, and you think somebody’s done that with the Pi, I’d really like to do that project in my garden or I’d like to do that myself and twist it and use some of the libraries they’ve used or used some of the codebase they’ve used and take it in their own direction.

**Clive**: Like it’s not a button, it’s a sensor for when your parents walk into your bedroom, it then tweets it as they walk in.

**Ben**: And everyone’s got a different way of thinking. If you’re in classroom of 30 kids and you show them how to make a button do this, each of them is thinking ‘Oh I can make a such and such’. They’ll all have a different idea. And some of them will just go straight home and make one. And some of them would need a lot more guidance.

> Every teacher needs more time off their timetable to develop their skills

**LV**: Are there some kids that just don’t get it at all?

**Ben**: I think there’s something for everyone, but they might not find it straight away. If you delivered a term’s worth of content for a class, with a good scope of different projects, I’d be surprised if there was one kid that wasn’t interested in any of it or didn’t find any of it engaging.

**Clive**: It’s almost an antidote for kids not getting it. With teaching music, you’ll have people that are level 5 or 6 while others can’t read music. Because computing is creative and engaging, we don’t all have to become master coders. With Scratch, it’s a visual language and you’ll find that quite often you’ll get what are classed as low ability kids that just rip into that and do fantastic things because it’s the first time they’ve been allowed to get ideas out of their heads and make something with it. And before, if they’ve had problems with writing and numeracy, they haven’t been able to do that. There are case studies with young boys that aren’t very good at reading and writing but they start telling stories when you give them an environment where they can actually do these things. So it’s brilliant tool to actually fight the opposite. It’s not that they don’t get it. There’s something for everybody.

![Linux Voice’s Andrew Gregory asks Clive Beale a tough question](http://www.linuxvoice.com/wp-content/uploads/pi-clive-1.jpg)
Linux Voice’s Andrew Gregory asks Clive Beale a tough question

**LV**: Pre-Raspberry Pi, in the dark ages of about 5 years ago, before the ICT revolution, what would those children be doing? Would they have responded to ICT at all?

**Carrie Anne**: In a classroom, you have a network of computers that are all on lockdown. You’ve got your network administrator and team of technicians, and they do a wonderful job and I certainly wouldn’t slate them – I was a technician once. But we were living in a time where you had to lock down the internet, which I disagree with, I think it should be open. And all the computers, you can’t execute any files on them, so you can’t actually teach any programming on them. So that was a problem for me.

**LV**: Is that changing?

**Carrie Anne**: I think it is changing, and will change with the new curriculum. For me as a teacher, what was great when the Raspberry Pi came along is that I don’t actually need those computers around the outside any more.

**LV**: So you don’t need permission.

**Carrie Anne**: Here’s my box full of Pis, let’s just get them out.

**Clive**: I’ll install what you want, do what I want.

**Carrie Anne**: Yeah, you can break it. And that’s ok, you just flash it and start again.

**Clive**: In 1997, they put the C back in ICT and suddenly it became this thing that you had to teach. The curriculum wasn’t really that bad. A lot of people moan about it, but if you actually sat down and read it, it was quite flexible and did let you do take control and make programming and coding interesting. But because resources are so important to schools, you just ended up doing the easy things.

**LV**: But when you said about kids using Scratch and becoming motivated to do other things, that would never have happened before the Raspberry Pi came along.

**Clive**: Yes, it was more just following what the teacher said, ‘And now we’re going to write a letter to the cinema’ or something. That’s like giving someone a Ferrari and saying you’ve just got to drive in this room for half an hour. So you’ve given them this fantastic tool for exploration and creativity, and you’re saying we’ve got to do this. Whereas with the computing thing, especially things like Scratch, just lets them think, ‘Ok, I can do a movie, I can do a little flip frame animation, or you know what, I can actually make a game’. And then suddenly they’re doing stuff that they haven’t had the opportunity to do.

**Carrie Anne**: Yeah, and I think that ICT curriculum was about 12 years out of date. It was created and it wasn’t updated.

> you can break it. And that’s ok, you just flash it and start again

**LV**: Obviously quite a lot has changed in computing education according to the media over the last couple of years in the UK. Broadly speaking, it is getting better?

**Carrie Anne**: Yes.

**LV**: What are the parts that pushed it to be better.

**Carrie Anne**: I think the teachers. They’re the ones in the classroom that have to teach the curriculum. When I became a teacher, I was already working in a school and I kept putting it off becoming a teacher because the curriculum bored me. But then I realised that, when I actually got into the classroom, I was able to put my own spin on it. I think it started with the teachers. Those people saying we want a new curriculum, we want to teach this and it’s engaging the kids and they’re learning something. I think it started there and then I think industry picked up on the fact that that was happening and they wanted more industry experts. And then the government got involved and it snowballed really.

**Clive**: Scratch was a big word-of-mouth thing wasn’t it. It was about mid-2000 when it came out, and suddenly you just found that any teacher worth their salt was using it for their ICT curriculum because it taught about control.

**Carrie Anne**: HTML as well. HTML has been on the curriculum for years. We’ve been teaching HTML in Notepad for years.

**LV**: What are going to be the big things pushing it forward over the next few years?

**Carrie Anne**: I think more of the same really. It’ll be teachers, it’s always the teachers. They’re the ones that come to the Jamboree and this kind of thing, and learn from people like Ben and that sort of collaboration. That’s where it starts. The teachers see what can be done, and they start doing it, and they’ll be more of that. And there are initiatives like code clubs and the Master Teachers are great.

**Clive**: Teachers are meeting up more when before may not have been getting together.

**Ben**: And as well as there being a more content, I think they’ll be convergence of a lot of this stuff. So, because the Raspberry Pi doesn’t have any official resources right now, some people are going off and writing their own. I think they’ll be a convergence of people pulling their ideas together and there’ll be a more centralised system for that. And we’ll be helping the community out with that.

**Clive**: ‘We’ll be at the forefront of that’, is that quote!

**LV**: You haven’t mentioned government policy, or anything like that at all. Is that a negative thing or just by-the-by?

**Clive**: I was at the Westminster forum yesterday and they had a chap from the DFE there, and I couldn’t resist it, so I got the mic and said you haven’t really taken it seriously have you? He turned round and said, we have *really* take it seriously. This idea that we can just bring in a new program of study and saying ‘Oh, aren’t we wonderful’, because Eric Schmidt’s speech and going over that, and suddenly we’re made it all better for you. But you haven’t, you just seemed to have done something that a lot of teachers are now scared of. So there’s a lot of work to do, and we’re really positive. But no, the government have not, in my personal opinion, given the money or the support or the thought behind this. If you go to Jersey, it’s such a great contrast. 6 million pounds, 100 thousand people on the island – the size of Cambridge. Compared to the 53 million in England and parts of the UK. This is in England initially, it’s not in Scotland and Wales. They’re got the infrasture, fibre to the door in every school, linking into businesses, £2 million CPD for teachers, well that’s practically what the government pay for the whole of England. So, have you taken it seriously, no. I think they’ve completing underestimated what’s involved. They thought the teachers would just pick it up and have the time and resources, which we don’t have the time for.

**Carrie Anne**: Maggie Philbin has been leading a UK digital skills taskforce, of which I’m part the team. We’re looking at where the skill shortages are and what are digital skills. Because there’s going to a whole group of kids who are now 14 to 16 who are going to leave the education system who haven’t had new programs like these. They were on the old program, so we’re looking at who will be deskilled and what we can do about that. So hopefully that report will inform government policy.

**Ben**: There must be a generation of people that don’t have their own website.

**LV**: If there’s one thing you could change about government policy, what would it be?

**Clive**: It really is to do with support for teachers. This idea that teachers would be able to, especially primary school teachers where you have to teach a range of subjects, suddenly go off, and even the guy yesterday said, well there’s loads of third party resources, but you’ve still got to go out and get them and try them out and learn and bring them all together.

**Carrie Anne**: Time. One of the biggest recommendations that I would say is time. Every teacher needs more time off their timetable to develop their skills, especially in an area like this that they perhaps think they’re weak. Because it takes a while to set things up and start your learning. As a teacher, you get like a 30 period timetable, you’re teaching for about 22 lessons of that with about 7 free periods, but some of those you’ll be covering for another lesson and some of those I need to plan my lesson and mark. They need time.

**Clive**: If you look at science, so if you’re a chemistry or biology teacher at secondary, there’s a scheme where you can re-skill to physics and they will give you free periods, huge bursary, and they’ll also take you off timetable one day a week to go off and go to other schools and retrain, and maybe pay for the cover. And this is the government doing this, and if you do this, this and this, you come out as an accredited physics teacher. So they took that seriously, but yet here’s a brand new subject and they’re expecting people just to pick up and run with it, and it’s completely inadequate.

**Carrie Anne**: But it’s not just time to learn something, it’s also time to go and meet industry people. Like go to a company and be in there and work and learn from them, and see what the world is like. Because some people, they went through education, went to university and became a teacher, so they’ve never left this school environment and they’ve got no idea of what the world of work is like.

**Ben**: I think there are some people in the current government that seem to think there should just be this package, and this is what you should deliver as your syllabus this year. Everyone is treated the same. Each teacher has their own class, and they’re all different, with different ways of engaging their interest. It needs to be tailored, so the teacher needs to take that material, and perhaps look on our site in the next year and say, well this one looks quite suitable for my class, or this one might be a good one to do.

**Clive**: It’s so long term. The government also do not understand that this is long term. So if you’re going to start teaching at 5 about algorithms and a bit of code and Scratch, what happens further down the line. The secondary school teacher will be saying, I can’t teach them Scratch anymore, which is what we do in Year 7 at the moment. So it’s actually quite a long term thing and things will continue to change over the next several years until that pipeline becomes full. And they’ve unbelievably said here’s £2 million, do some training for September 2014. What’s 2014 got to do with it? This is five, six, seven years down the line.

--------------------------------------------------------------------------------

via: http://www.linuxvoice.com/education-education-education/

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出
