110 Fun Open Source Games and Apps
================================================================================
Once again, we're celebrating the arrival of summer with a list of some of the best open source games available. We've updated [last year's list][1] with some new arrivals, as well as getting rid of some of the older games that are no longer under active development. You'll find arcade, board, casual, puzzle, educational, first-person shooter, music, racing, role-playing, adventure, simulator and strategy games, as a well as a few apps that aren't really games but are still a lot of fun.

This year, more open source games than ever before are now available for mobile devices, primarily Android devices. Hopefully, this trend will continue in coming years.

Please note that this list is not a ranking. The apps are arranged in categories and listed alphabetically within each category.

If you would like to suggest a game for next year's version of the list, feel free to make note in the comments section below.

### Arcade Games ###

#### 1. [Andy's Super Great Park][2] ####

Retrieve balloons while avoiding obstacles as you ride a roller coaster. Comes with 25 main levels, plus 18 more levels you can unlock by getting a high score. Operating System: Windows, Linux, Android.

#### 2. [Armagetron Advanced][3] ####

A 3D Tron clone, this game challenges you to guide your light cycle so that opponents run into a wall before you do. It supports single-player or networked games with up to 16 players. Operating System: Windows, Linux, OS X, Android.

#### 3. [BZFlag][4] ####

Also known as "Battle Zone Capture the Flag," BZFlag is a popular online tank game. In development since 1992, it features 3D graphics, multiple game modes and competitive multi-player matches. Operating System: Windows, Linux, OS X.

#### 4. [Chromium B.S.U.][5] ####

Don't let the name fool you—it has nothing to do with the Chromium browser. It's a fast-paced, top-scrolling shooter where the difficulty is set so that games will last less than fifteen minutes. Operating System: Windows, Linux.

#### 5. [The Legend of Edgar][6] ####

Legend of Edgar is an old-school platform game where the hero must overcome obstacles and enemies in order to accomplish his quest. It includes lots of different weapons and large levels. Operating System: Windows, Linux, OS X.

#### 6. [JVGS][7] ####

Instead of highly detailed graphics, JVGS takes a minimalist approach where stick figures cross a landscape that looks like it was hand-drawn in pencil. The main character in this highly unusual game is a poet who is losing his memories. Operating System: Windows, Linux, OS X.

#### 7. [No Gravity][8] ####

This space-based arcade shooter takes players to the year 8002 where they must complete a variety of missions. Related, but not free, games are also available for Android and iOS. Operating System: Windows, Linux, OS X.

#### 8. [Open Sonic][9] ####

Based on the Sonic the Hedgehog games, Open Sonic offers cooperative gameplay where the user can control three characters at once. Only two levels are available in the original game, but several fans have built mods that offer additional play. Operating System: Windows, Linux, OS X.

#### 9. [Powermanga][10] ####

Similar to the old arcade game Galaga, Powermanga is a 2D, top-scrolling space shooter. It's got more than 41 levels, and it can run on older hardware. Operating System: Linux.

#### 10. [Scorched3D][11] ####

Scorched3D is a modern take on the DOS game Scorched Earth, and it's noteworthy for its excellent graphics. You can play in single-player mode or connect to one of the many online servers for multi-player action. Operating System: Windows, Linux, OS X.

#### 11. [Sonic Robo Blast 2][12] ####

Another Sonic-inspired platform game, SRB2 is a 3D platform game built using the Doom engine. It includes three different playable characters and more than twenty levels. Operating System: Linux.

#### 12. [SuperTux][13] ####

SuperTux is a lot like the old Mario Bros. games, but with Tux the Linux penguin as the hero. It's a 2D side-scrolling platform game with nine different bad guys and 26 levels to play. Operating System: Windows, Linux, OS X.

#### 13. [Those Funny Funguloids][14] ####

This one-of-a-kind game challenges players to collect mushrooms in space. The website proclaims, "Never before has collecting mushrooms been this mildly entertaining. At least not in outer space. It's more of a lifestyle than a game, really." Operating System: Windows, Linux.

#### 14. [Teeworlds][15] ####

This online game describes itself as a "retro multiplayer shooter." It's a side-scrolling 2D game with support for up to 16 players and several different game modes. Operating System: Windows, Linux, OS X.

#### 15. [XMoto][16] ####

In this game, you ride a motorbike through a side-scrolling landscape while collecting strawberries and avoiding the spiky "wreckers." It's harder than it looks! Operating System: Windows, Linux, OS X.

#### 16. [Yo Frankie!][17] ####

Created with the Blender open source 3D animation tool, Yo Frankie! features characters from the open source movie Peach. Players must guide Frankie, a sugar glider, or Momo, a monkey, over, around and through the obstacles in a highly detailed 3D environment. Operating System: Windows, Linux, OS X.

### Board Games ###

#### 17. [Domination][18] ####

Java-based Domination brings the board game Risk to your PC or Android device. The latest version lets you play against your Google+ friends through the Google Play Game Services Real-time Multiplayer feature. Operating System: Windows, Linux, OS X, Android.

#### 18. [GNU Backgammon][19] ####

This "world-class" backgammon engine gets better every time you play against it, and it can analyze your play to help you get better. The interface is very nice with customizable graphics. Operating System: Windows, Linux, OS X.

#### 19. [Scrabble 3D][20] ####

With this variation of Scrabble you can choose your own board—the classic version, Superscrabble, 3D Scrabble or your own custom board. Play against the AI or connect to an online server for multi-player games. Operating System: Windows, Linux, OS X.

#### 20. [PokerTH][21] ####

This high-quality Texas Hold 'Em app features an excellent, customizable interface. To play online and see how you rank against other players, register online at Poker-Heroes.com. Operating System: Windows, Linux, OS X, Android.

#### 21. [PySolFC][22] ####

Did you know there were more than 1,000 variations of Solitaire? This huge collection features "games that use the 52 card International Pattern deck, games for the 78 card Tarock deck, eight and ten suit Ganjifa games, Hanafuda games, Matrix games, Mahjongg games, and games for an original hexadecimal-based deck." Operating System: Windows, Linux, OS X.

### Casual and Puzzle Games ###

#### 22. [2048][23] ####

In this simple but addictive puzzle game, the player moves blocks around to combine like numbers. You win when you hit 2048. Operating System: Online, iOS, Android.

#### 23. [Billiards][24] ####

Billiards aims to be realistic enough to let you practice cue sports when you don't have a table available. It has a good-looking 3D interface, but also runs in 2D for systems without a good graphics processor. Operating System: Linux.

#### 24. [Cube Trains][25] ####

Lay tracks to connect tunnels and bridges while maneuvering around obstacles. You can play the many built-in levels or create one of your own. Operating System: Windows, Linux, OS X.

#### 25. [Enigma][26] ####

Similar to the old Oxyd and Rock'n'Roll games, Enigma challenges users to find identical stones amid mazes, traps, laser beams and other obstacles. With more than 1,000 levels, this is one puzzle game that will keep you occupied for a long, long time. Operating System: Windows, Linux, OS X.

#### 26. [Fish Fillets NG][27] ####

In this puzzle game, players must try to find a safe way out of each of the 70 levels. Along the way, fish and other underwater residents offer humorous commentary on the user's progress. Operating System: Windows, Linux, OS X.

#### 27. [Frozen Bubble][28] ####

One of the oldest bubble shooter games around, Frozen Bubble features Tux the Linux Penguin and more than 100 levels for single-players. You can also play against two to five other players via a LAN or the Internet. Operating System: Windows, Linux.

#### 28. [GnomeGames][29] ####

This collection includes fifteen different casual games that you can play in five minutes or less. It includes Sudoku, a minesweeper game, Mahjong, a version of Reversi and more. Operating System: Linux.

#### 29. [I Have No Tomatoes][30] ####

How many tomatoes can you smash in ten minutes? This "extreme leisure time activity" comes from the same team as Those Funny Funguloids. Operating System: Windows, Linux.

#### 30. [KDE Games][31] ####

This is the collection of casual games for the KDE desktop. It includes a solitaire variation, a version of breakout, a golf game, a version of Risk, a minesweeper, sudoku and more. Operating System: Windows, Linux.

#### 31. [Neverball][32] ####

In this game, players must tilt the floor to guide a ball through an obstacle course. The game includes lots of levels or you can design your own. Operating System: Windows, Linux, OS X.

#### 32. [Pingus][33] ####

Did you spend hours playing Lemmings back in the 90s? If so, Pingus is for you. It's a remake of Lemmings (with penguins instead of lemmings) with 77 different levels. Operating System: Windows, Linux, OS X.

#### 33. [Pushover][34] ####

This puzzle game features ants who can push over dominoes arranged in various patterns. The player must get all the dominoes to fall and send the special trigger through the exit in order to get to the next level. Operating System: Windows.

#### 34. [Zaz][35] ####

Another bubble shooter, Zaz challenges you to hit balls as they travel along a preset path. The twist is that your shooter is also traveling along a path, making things just a little more difficult. Operating System: Windows, Linux.

### Educational Games ###

#### 35. [ChildsPlay][36] ####

Designed for those age five and under, ChildsPlay helps teach sounds, letters, numbers and basic keyboard skills. It also includes some games like memory, pong and pacman. Operating System: Windows, Linux, OS X.

#### 36. [GBrainy][37] ####

Exercise your mind with GBrainy's logic, word, math and memory games. It's fun and educational for players of all ages. Operating System: Windows, Linux.

#### 37. [GCompris][38] ####

Made for children ages 2 to 10, GCompris includes more than 100 different activities, most of them educational. It includes math, geography, science, reading, keyboarding and art games, plus chess, sudoku, memory and much more. Operating System: Windows, Linux.

#### 38. [TuxMath][39] ####

Solve arithmetic problems quickly before the incoming comets kill the penguins. This simple game reinforces math facts for elementary age students. Operating System: Windows, Linux, OS X.

### First-Person Shooter Games ###

#### 39. [Alien Arena][40] ####

Built "for fraggers by fraggers," Alien Arena is an intense deathmatch shooter with a retro sci-fi theme. Many different sites offer hosted servers for online games, and there are also plenty of fan sites with playing tips and more. Operating System: Linux, Windows, OS X.

#### 40. [AssaultCube][41] ####

Because of its light weight, AssaultCube can run on older hardware, despite its very good realistic graphics. It supports single-player or multi-player games and includes 26 different maps and 12 different game modes. Operating System: Linux, Windows, OS X.

#### 41. [Classic Nexuiz][42] ####

Downloaded more than 6 million times, Nexuiz is one of the most popular open source shooter games. A few years ago, a new closed-source version of the game was created, but you can still download the classic version from the link above or from SourceForge. Operating System: Windows, Linux, OS X.

#### 42. [OpenArena][43] ####

This multi-player game is a clone of Quake III Arena and features 13 different weapons, 51 arenas, 18 player characters and 12 types of games. The project's owners warn, "Due to violent and occasional racy content, it's unsuitable for children under the age of 17." Operating System: Windows, Linux, OS X.

#### 43. [Red Eclipse][44] ####

This casual first-person shooter has received excellent reviews. Features include Parkour, impulse boosts, dashing, several game modes and a built-in level editor. Operating System: Windows, Linux, OS X.

#### 44. [Tremulous][45] ####

This award-winning game mixes elements of a real-time strategy game with a first-person shooter. Users can choose to play as aliens or humans, always with the goal of eliminating the other team. Operating System: Windows, Linux, OS X, XBox.

#### 45. [TrueCombat][46] ####

TrueCombat claims to be "perhaps the best free tactical-realism shooter. EVER." It's a modern world combat simulator with two opposing teams. Note that in order to use it, you will also need Wolfenstein: Enemy Terriroty (see below). Operating System: Windows, Linux, OS X

#### 46. [Unvanquished][47] ####

Forked from Tremulous, Unvanquished pits "technologically advanced humans against hordes of highly adaptable aliens." It's under very active development with a new release every month. Operating System: Windows, Linux, OS X

#### 47. [Warsow][48] ####

The self-proclaimed "most fast-paced sport on the Web," Warsow is a cartoonish shooter featuring "Rocketlauncher-wielding pigs and lasergun-carrying cyberpunks." Unlike most shooters, it doesn't have a lot of blood and guts, and the emphasis is on movement. Operating System: Windows, Linux, OS X.

#### 48. [Wolfenstein: Enemy Terriorty][49] ####

Although there are several proprietary Wolfenstein games, this one is open source. It's a World War II-era game that pits the Axis against the Allies. Operating System: Windows, Linux, OS X

#### 49. [World of Padman][50] ####

Based on the Quake engine, this shooter is very cartoonish with little gore. Quite a few online servers are available, or you can play offline. Operating System: Windows, Linux.

#### 50. [Xonotic][51] ####

Xonotic was forked from the classic version of Nexuiz. It has more than 22 different maps, 16 weapons and lots of different gameplay modes. Operating System: Windows, Linux, OS X.

#### 51. [Zero Ballistics][52] ####

Part first-person shooter, part tank game, Zero Ballistics is set in a picturesque mountain environment and has more than 81 different tank setups available. Play deathmatch, team deathmatch or the unique beaconstrike game mode. Operating System: Windows, Linux, OS X.

### Music Games ###

#### 52. [Frets on Fire][53] ####

Frets on Fire is a lot like Guitar Hero, and it can even play Guitar Hero songs (though other songs are available as well). No worries if you don't have a guitar controller—you can also play with the keyboard. Operating System: Windows, Linux, OS X.

#### 53. [StepMania][54] ####

This is a free version of Dance Dance Revolution, which challenges users to stay in rhythm to the beat of the music. You can use dance pads (if you have them) to play, or you can just use the keyboard. Operating System: Windows, Linux/Unix, OS X, XBox.

#### 54. [Ultrastar Deluxe][55] ####

If karaoke is your thing, you'll love Ultrastar Deluxe. For this game, you must sing along to the music on pitch and in the correct rhythm. It comes with more than 10,000 songs included. Operating System: Windows, Linux, OS X.

### Racing Games ###

#### 55. [Extreme Tux Racer][56] ####

Tux Racer is a much-loved older game that features Tux the Linux penguin sliding down a mountain on his belly. Extreme Tux Racer updates the classic game for today's players. Operating System: Windows, Linux, OS X.

#### 56. [Speed Dreams][57] ####

This fork of the TORCS auto-racing game (see below) features an updated UI and many new cars and tracks. As in TORCS, the visuals are excellent. Operating System: Windows, Linux.

#### 57. [SuperTuxKart][58] ####

This cartoonish racer features Tux the Linux Penguin and friends driving go karts. Guide them around the tracks, while avoiding a horde of silly obstacles. Operating System: Windows, Linux, OS X.

#### 58. [TORCS][59] ####

Short for "The Open Racing Care Simulator," TORCS is an outstanding realistic racing game with a large fan base. Race alone or against friends on one of the many tracks available. Operating System: Windows, Linux, OS X.

#### 59. [Ultimate Stunts][60] ####

Inspired by the classic DOS game Stunts, Ultimate Stunts requires players to guide vehicles across broken bridges, jumps, loops, corkscrews and other obstacles. It allows offers the option of designing your own track with even more crazy stunts. Operating System: Windows, Linux, OS X.

#### 60. [VDrift][61] ####

As much a simulator as a racing game, VDrift introduces players to world of drift racing with a realistic physics engine. It includes more than 45 cars, more than 45 tracks, and support for a wide variety of controllers. Operating System: Windows, Linux, OS X.

### Role-Playing and Adventure Games ###

#### 61. [Crossfire][62] ####

Sometimes described as a cross between NetHack and Gauntlet, Crossfire is an arcade adventure game with very old-school graphics. It has more than 3,000 different maps featuring more than 150 different monsters. Operating System: Windows, Linux, OS X.

#### 62. [Epic Inventor][63] ####

Epic Inventor describes itself as a "side-scrolling action RPG." It's similar to Minecraft with simple, pixelated graphics and open-ended play. Operating System: Windows, Linux.

#### 63. [Excalibur: Morganna's Revenge][64] ####

This time-traveling epic puts you in the role of a futuristic space marine who must travel back to the time of King Arthur and Camelot. The graphics aren't anything special (think Minecraft), but the storyline and gameplay are good. Operating System: Windows, Linux, OS X.

#### 64. [Flare][65] ####

Inspired by Diablo, this role-playing game places the emphasis on combat. It's still an alpha release but is playable. Operating System: Windows, Linux, OS X.

#### 65. [Lips of Suna][66] ####

For adults only, this "tongue-in-cheek action RPG" features "violence, crude humor, nudity and other themes you can rarely see in other games anymore." It offers lots of action and a constantly changing landscape. Operating System: Windows, Linux.

#### 66. [The Mana World][67] ####

This is a massively multiplayer online role-playing game (MMORPG) that isn't so massive. (At the time of writing there were 31 people playing.) Still, it's a good attempt to create an ever-expanding world full of monsters, quests and mini-games. Operating System: Windows, Linux, OS X.

#### 67. [NetHack][68]注：此链接原文有错误，和上面的链接地址一样了 ####

One of the classics, NetHack is an intricate dungeon crawler with extremely simple graphics. It's been called one of the 100 best video games of all time. Operating System: Windows, Linux, Classic Mac.

#### 68. [PlaneShift][69] ####

Set in the fantasy realm of Yliakum, this unique online role-playing game features ten different races and a well-developed world with its own economy, government, religion and rules. It's playable but still in the early stages of development. Operating System: Windows, Linux, OS X.

#### 69. [Ryzom][70] ####

One of the better open source MMORPGs, award-winning Ryzom is set on the treelike planet of Atys, where several different races of beings interact and sometimes come into conflict. You can play for free, but those who choose to subscribe get some special benefits. Operating System: Windows, Linux, OS X.

#### 70. [Stendhal][71] ####

This online role-playing game aims to be more friendly than most. The website explains, "You may be asked to help protect land, feed the hungry, heal the sick, make someone happy, solve a puzzle or simply lend a hand." Operating System: Windows, Linux, OS X.

#### 71. [Summoning Wars][72] ####

Up to eight people can play this fantasy role-playing game at once. There's a trailer for the game at Youtube that lets you see it in action. Operating System: Windows, Linux, OS X.

### Simulator Games ###

#### 72. [FlightGear][73] ####

Extremely realistic, FlightGear is a top-notch flight simulator that rivals proprietary software. It includes accurate terrain for the entire world and lifelike models of 20,000 airports and numerous aircraft. Operating System: Windows, Linux, OS X, others.

#### 73. [Golems][74] ####

With this physics simulator you can build almost anything you want and see how it would act in the real world. It's great for learning about basic machines, building robots, and inventing contraptions of all kinds. Operating System: Windows, Linux, OS X.

#### 74. [LinCity NG][75] ####

Based on the original SimCity game, LinCity NG challenges players to build a sustainable metropolis with a thriving economy. Note that because it is based on older code, the graphics are similar to old DOS games. Operating System: Windows, Linux, OS X.

#### 75. [Micropolis/OLPC SimCity][76] ####

Another SimCity imitator, Micropolis is a Java-based city simulator. It also features fairly old-school graphics rather than the 3D look of newer SimCity games. Operating System: Windows, Linux, OS X.

#### 76. [Minetest][77] ####

Extremely similar to Minecraft, Minetest is set in an infinite world of basic building blocks. Players can explore, mine or craft new objects as they see fit. Operating System: Windows, Linux, OS X.

#### 77. [Pioneer][78] ####

Pioneer describes itself as "a game of lonely space adventure." It transports players to an open-ended world where they decide what to do and where to go. Operating System: Windows, Linux, OS X.

#### 78. [Oolite][79] ####

Based on Elite, Oolite is a space simulator where you can trade with other spacefarers or become embroiled in combat. It's been around for quite a while, and many expansions are available. Operating System: Windows, Linux, OS X.

#### 79. [OpenCity][80] ####

This 3D city simulator does not aim to be a SimCity clone, but does offer a similar style of play. It's fairly basic but is playable. Operating System: Windows, Linux, OS X.

#### 80. [OpenTTD][81] ####

Based on Transport Tycoon Deluxe, OpenTTD invites players to build a transportation empire. It supports up to 255 players at once and improves on the original TTD in many ways. Operating System: Windows, Linux, OS X.

#### 81. [Rigs of Rods][82] ####

This vehicle simulator with a unique soft-body physics engine enjoys a very active and enthusiastic fan base. Use it to create land, sea or air vehicles and drive or fly them around the country. Operating System: Windows, Linux, OS X.

#### 82. [Simutrans][83] ####

This transportation simulator offers the option of connecting to online games hosted throughout the world. Use buses, trucks, trains, trams, ships, airplanes, monorails, maglevs or other vehicles to move people and goods where they need to go. Operating System: Windows, Linux, OS X.

#### 83. [Vega Strike][84] ####

This is another space simulator that lets you trade and fight throughout the galaxy. You choose whether to fly a trade route, accept a bounty-hunting mission, turn pirate or just explore the vastness of space. Operating System: Windows, Linux, OS X.

### Strategy Games ###

#### 84. [0 A.D.][85] ####

Now in its 16th alpha release, 0 A.D. is an award-winning civilization-building game that strives for historical accuracy. Choose to play as the Carthaginians, Celts, Greeks, Iberians, Mauryans, Persians or Romans. Operating System: Linux, Windows, OS X.

#### 85. [Advanced Strategic Command][86] ####

This turn-based strategy game is based on the Battle Isle series. Players battle on a grid-like landscape in single- or multi-player games. Operating System: Windows, Linux.

#### 86. [Battle for Wesnoth][87] ####

This turn-based tactical strategy game puts players in a mythic world where they fight to reclaim the throne. Orcs, elves, necromancers and hundreds of other familiar high fantasy characters populate a large environment. Supports both single- and multi-player games. Operating System: Linux, Windows, OS X, iOS.

#### 87. [BosWars][88] ####

This futuristic real time strategy game requires players to build up energy stores and an economy in order to support military battles. Play against the computer opponent or connect over a LAN for multi-player games. Operating System: Windows, Linux, BSD, OS X.

#### 88. [CommanderStalin][89] ####

This variation of BosWars is set in Stalin's Soviet Union. Be prepared for the inevitable Nazi attack! Operating System: Windows, Linux.

#### 89. [FreeCol][90] ####

Inspired by the games Colonization and Civilization, FreeCol is a turn-based civilization-building strategy game. You start in the New World in 1492 and win by creating an independent country with free speech. Operating System: Windows, Linux, OS X.

#### 90. [FreeCiv][91] ####

Also inspired by Civilization, this turn-based strategy game starts in the stone age and ends in the space age. It includes 50 playable units and 541 nations and comes with several playable scenarios. Operating System: Windows, Linux, OS X.

#### 91. [FreeOrion][92] ####

While it isn't a clone or remake, FreeOrion is loosely based on the Master of Orion games. It's a turn-based strategy game set in space. Operating System: Windows, Linux, OS X.

#### 92. [Glest][93] ####

The forces of Tech battle the forces of Magic in this real-time strategy game. While it's still available for download, most Linux distributions now include the fork Megaglest (see below) instead of this older project. Operating System: Windows, Linux.

#### 93. [Globulation 2][94] ####

This real-time civilization-building strategy game aims to reduce the need for micro-management and allow players to focus on strategy. Single- or multi-player games and a level editor are available. Operating System: Windows, Linux.

#### 94. [Hedgewars][95] ####

One of the more lighthearted strategy games around, Hedgewars features "the antics of pink hedgehogs with attitude as they battle from the depths of hell to the depths of space." Features 31 environments, 48 set maps, infinite randomly generated maps, 55 weapons, 280 costumes and support for up to 8 players at once. Operating System: Windows, Linux, OS X, iOS.

#### 95. [Kernel Panic][96] ####

Set in a digital landscape, Kernel Panic is a real-time strategy game with Tron-like graphics. All the resources are free, so players don't need to worry about building an economy—only about fighting against the other hackers on the network. Operating System: Linux, Windows

#### 96. [Liquid War][97] ####

Way back in 2002, Liquid War was named the "most original Linux Game," and it's still worth a look. Control a liquid army as you try to consume your enemies. Operating System: Windows, Linux, OS X.

#### 97. [MegaGlest][98] ####

This fork of Glest adds five new teams to the original Tech and Magic: Egypt, Indians, Norsemen, Persian or Romans. It offers 17 different map types, both single- and multi-player games, and tutorials for new players. Operating System: Windows, Linux.

#### 98. [Pax Brittanica][99] ####

Up to four players can battle at once using the same keyboard on this submarine strategy game. The controls are easy to learn (you only use one button), but the gameplay can be very intense. Operating System: Windows, Linux, OS X.

#### 99. [Spring: 1944][100] ####

This World War II strategy game offers realistic units and strengths. Choose to play as the U.S., Germany, the U.S.S.R. or Great Britain. Operating System: Linux.

#### 100. [UFO: Alien Invasion][101] ####

Seventy years in the future, a secret organization struggles to defend earth from vicious alien invaders. Play as the humans or the aliens in single-player or multi-player combat. Operating System: Windows, Linux, OS X.

#### 101. [Unknown Horizons][102] ####

In this civilization-building strategy game, the emphasis is on building a strong economy. You start with a handful of settlers and resources on an isolated archipelago and work to build a thriving city. Operating System: Windows, Linux, OS X.

#### 102. [Warzone 2100][103] ####

Can you rebuild Earth after nuclear devastation? This game offers an unusually large tech tree and single- or multi-player games. Operating System: Windows, Linux, OS X.

#### 103. [Widelands][104] ####

Inspired by Settlers II, Widelands is another real-time strategy game that challenges players to build a civilization. It features three tribes—Barbarians, Imperials, and Atlanteans—and unlike most civilization games, the player doesn't tell each unit what to do but instead gives orders and delegates, more like a real ruler. Operating System: Windows, Linux, OS X.

#### 104. [Zero-K][105] ####

In this fast-moving real-time strategy game, robot armies fight a never-ending battle. Key features include more than 100 different units, a streamlined economy system, a realistic physics engine, terraforming and more. Operating System: Windows, Linux.

#### 105. [Zombies][106] ####

Can you kill all the zombies before they kill you? This turn-based game offers addictive gameplay and settings that allow the player to determine the level of gore. Operating System: OS X.

### Fun Non-Games ###

#### 106. [Celestia][107] ####

Perfect for budding astronomers and wanna-be astronauts, Celestia allows you to see the sky as it would appear at any point in time from any point in the known universe. Take a quick trip to Jupiter or plot your starwatching for the evening. Operating System: Windows, Linux, OS X.

#### 107. [Electric Sheep][108] ####

Inspired by the Philip K. Dick novel Do Androids Dream of Electric Sheep? this screensaver connects your system to thousands of others to create abstract designs and patterns. Vote for your favorite patterns to see them reappear more often. Operating System: Windows, Linux, OS X, Android, iOS.

#### 108. [LCARS 24][109] ####

If you've got an old PC around the house (and who doesn't), why not turn it into a Star Trek-themed conversation piece. With this app, you get an alarm clock and file manager with graphics that look like they came right off the Enterprise. Operating System: Windows, DOS.

#### 109. [Stellarium][110] ####

Turn your PC into a planetarium. Stellarium can display the night skies from any point on earth at any time, and it's used by many planetariums to power their displays. Operating System: Windows, Linux, OS X.

#### 110. [Tux Paint][111] ####

Tux Paint makes it easy for pre-schoolers to create their own "drawings" on the computer. It features an interface with big buttons, fun sound effects and friendly characters. Operating System: Windows, Linux, OS X.


--------------------------------------------------------------------------------

via: http://www.datamation.com/open-source/110-fun-open-source-games-and-apps-1.html

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.datamation.com/open-source/101-most-fun-open-source-games-and-apps-1.html
[2]:http://www.stuff-o-matic.com/asgp/
[3]:http://armagetronad.org/index.php
[4]:http://bzflag.org/
[5]:http://chromium-bsu.sourceforge.net/
[6]:http://www.parallelrealities.co.uk/p/legend-of-edgar.html
[7]:http://www.penguspy.com/jvgs/
[8]:http://www.nogravitythegame.com/classic/
[9]:http://opensnc.sourceforge.net/home/index.php
[10]:http://linux.tlk.fr/games/Powermanga/
[11]:http://www.scorched3d.co.uk/
[12]:http://www.srb2.org/
[13]:http://supertux.lethargik.org/
[14]:http://funguloids.sourceforge.net/
[15]:http://www.teeworlds.com/
[16]:http://xmoto.tuxfamily.org/
[17]:http://www.yofrankie.org/
[18]:http://domination.sourceforge.net/
[19]:http://sourceforge.net/apps/mediawiki/scrabble/index.php?title=Main_Page
[20]:http://sourceforge.net/apps/mediawiki/scrabble/index.php?title=Main_Page
[21]:http://www.pokerth.net/
[22]:http://pysolfc.sourceforge.net/
[23]:http://gabrielecirulli.github.io/2048/
[24]:http://www.nongnu.org/billiards/
[25]:http://cubetrains.com/
[26]:http://www.nongnu.org/enigma/
[27]:http://fillets.sourceforge.net/
[28]:http://www.frozen-bubble.org/
[29]:http://live.gnome.org/GnomeGames
[30]:http://tomatoes.sourceforge.net/about.html
[31]:http://games.kde.org/
[32]:http://neverball.org/
[33]:http://pingus.seul.org/welcome.html
[34]:http://pushover.sourceforge.net/
[35]:http://zaz.sourceforge.net/
[36]:http://www.schoolsplay.org/
[37]:https://live.gnome.org/gbrainy
[38]:http://gcompris.net/index-en.html
[39]:http://tux4kids.alioth.debian.org/tuxmath/index.php
[40]:http://icculus.org/alienarena/rpa/
[41]:http://assault.cubers.net/
[42]:http://www.alientrap.org/games/nexuiz
[43]:http://openarena.ws/smfnews.php
[44]:http://www.redeclipse.net/
[45]:http://tremulous.net/
[46]:http://www.truecombatelite.com/
[47]:http://www.unvanquished.net/
[48]:http://www.warsow.net/
[49]:http://www.splashdamage.com/wolfet
[50]:http://worldofpadman.net/website/news
[51]:http://www.xonotic.org/
[52]:http://www.zeroballistics.com/
[53]:http://www.stepmania.com/
[54]:http://www.stepmania.com/
[55]:http://www.ultrastardeluxe.org/
[56]:http://sourceforge.net/projects/extremetuxracer/
[57]:http://www.speed-dreams.org/
[58]:http://supertuxkart.sourceforge.net/
[59]:http://torcs.sourceforge.net/
[60]:http://www.ultimatestunts.nl/
[61]:http://vdrift.net/
[62]:http://crossfire.real-time.com/intro/index.html
[63]:http://www.epicinventor.com/
[64]:http://excaliburworld.com/emr/emr3/index.html
[65]:http://flarerpg.org/media/
[66]:http://lipsofsuna.org/
[67]:http://themanaworld.org/
[68]:http://themanaworld.org/
[69]:http://www.planeshift.it/about.html
[70]:http://www.ryzom.com/en/
[71]:http://stendhalgame.org/
[72]:http://sumwars.org/wiki/Main_Page
[73]:http://www.flightgear.org/
[74]:http://www.golemgame.com/
[75]:http://lincity.sourceforge.net/
[76]:https://code.google.com/p/micropolis/
[77]:http://minetest.net/
[78]:http://pioneerspacesim.net/
[79]:http://www.oolite.org/
[80]:http://www.opencity.info/
[81]:http://www.openttd.org/en/
[82]:http://www.rigsofrods.com/content/
[83]:http://www.simutrans.com/
[84]:http://vegastrike.sourceforge.net/
[85]:http://play0ad.com/
[86]:http://www.asc-hq.org/
[87]:http://www.wesnoth.org/
[88]:http://www.boswars.org/
[89]:http://commanderstalin.sourceforge.net/
[90]:http://www.freecol.org/
[91]:http://freeciv.wikia.com/wiki/Main_Page
[92]:http://freeorion.org/index.php/Main_Page
[93]:http://glest.org/en/index.php
[94]:http://globulation2.org/wiki/Main_Page
[95]:http://www.hedgewars.org/
[96]:http://springrts.com/wiki/Kernel_Panic
[97]:http://www.ufoot.org/liquidwar/v5
[98]:http://glest.org/en/index.php
[99]:http://paxbritannica.henk.ca/
[100]:http://spring1944.net/
[101]:http://ufoai.org/wiki/News
[102]:http://www.unknown-horizons.org/
[103]:http://wz2100.net/
[104]:http://wl.widelands.org/
[105]:http://zero-k.info/
[106]:http://codenautics.com/zombies/
[107]:http://www.shatters.net/celestia/index.html
[108]:http://community.electricsheep.org/
[109]:http://lcars24.com/
[110]:http://stellarium.org/
[111]:http://tuxpaint.org/